'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Model = require('../../types/Model.js');

class CandyMachine extends Model.Model {
  // -----------------
  // Data from CandyMachineAccount
  // -----------------
  // -----------------
  // Addresses from CandyMachineAccount
  // -----------------
  constructor(candyMachineAccount) {
    var _accountData$data$goL, _accountData$data$end, _accountData$data$hid, _accountData$data$whi, _accountData$data$gat, _accountData$tokenMin;

    super(); // CandyMachine inner Data

    this.candyMachineAccount = candyMachineAccount;
    const accountData = candyMachineAccount.data;
    this.uuid = accountData.data.uuid;
    this.price = accountData.data.price;
    this.symbol = accountData.data.symbol;
    this.sellerFeeBasisPoints = accountData.data.sellerFeeBasisPoints;
    this.maxSupply = accountData.data.maxSupply;
    this.isMutable = accountData.data.isMutable;
    this.retainAuthority = accountData.data.retainAuthority;
    this.goLiveDate = (_accountData$data$goL = accountData.data.goLiveDate) !== null && _accountData$data$goL !== void 0 ? _accountData$data$goL : undefined;
    this.itemsAvailable = accountData.data.itemsAvailable;
    this.endSettings = (_accountData$data$end = accountData.data.endSettings) !== null && _accountData$data$end !== void 0 ? _accountData$data$end : undefined;
    this.hiddenSettings = (_accountData$data$hid = accountData.data.hiddenSettings) !== null && _accountData$data$hid !== void 0 ? _accountData$data$hid : undefined;
    this.whitelistMintSettings = (_accountData$data$whi = accountData.data.whitelistMintSettings) !== null && _accountData$data$whi !== void 0 ? _accountData$data$whi : undefined;
    this.gatekeeper = (_accountData$data$gat = accountData.data.gatekeeper) !== null && _accountData$data$gat !== void 0 ? _accountData$data$gat : undefined;
    this.creators = accountData.data.creators; // CandyMachine Data

    this.itemsRedeemed = accountData.itemsRedeemed; // CandyMachine Addresses

    this.authorityAddress = accountData.authority;
    this.walletAddress = accountData.wallet;
    this.tokenMintAddress = (_accountData$tokenMin = accountData.tokenMint) !== null && _accountData$tokenMin !== void 0 ? _accountData$tokenMin : undefined;
  }

  static fromAccount(candyMachineAccount) {
    return new CandyMachine(candyMachineAccount);
  }

}

exports.CandyMachine = CandyMachine;
//# sourceMappingURL=CandyMachine.js.map
