'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var CandyMachine = require('./CandyMachine.js');
var CandyMachineAccount = require('../../programs/candyMachine/accounts/CandyMachineAccount.js');
var Operation = require('../../types/Operation.js');

// Operation
// -----------------

const Key = 'FindCandyMachineByAdddressOperation';
const findCandyMachineByAdddressOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findCandyMachineByAdddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const candyMachineAddress = operation.input;
    const unparsedAccount = await metaplex.rpc().getAccount(candyMachineAddress);
    const account = CandyMachineAccount.CandyMachineAccount.fromMaybe(unparsedAccount);
    return account.exists ? CandyMachine.CandyMachine.fromAccount(account) : null;
  }
};

exports.findCandyMachineByAdddressOperation = findCandyMachineByAdddressOperation;
exports.findCandyMachineByAdddressOperationHandler = findCandyMachineByAdddressOperationHandler;
//# sourceMappingURL=findCandyMachineByAddress.js.map
