'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var CandyMachineClient = require('./CandyMachineClient.js');
var createCandyMachine = require('./createCandyMachine.js');
var findCandyMachineByAddress = require('./findCandyMachineByAddress.js');
var findCandyMachinesByPublicKeyField = require('./findCandyMachinesByPublicKeyField.js');

const candyMachineModule = () => ({
  install(metaplex) {
    const op = metaplex.operations();
    op.register(createCandyMachine.createCandyMachineOperation, createCandyMachine.createCandyMachineOperationHandler);
    op.register(findCandyMachineByAddress.findCandyMachineByAdddressOperation, findCandyMachineByAddress.findCandyMachineByAdddressOperationHandler);
    op.register(findCandyMachinesByPublicKeyField.findCandyMachinesByPublicKeyFieldOperation, findCandyMachinesByPublicKeyField.findCandyMachinesByPublicKeyFieldOnChainOperationHandler);

    metaplex.candyMachines = function () {
      return new CandyMachineClient.CandyMachineClient(this);
    };
  }

});

exports.candyMachineModule = candyMachineModule;
//# sourceMappingURL=plugin.js.map
