'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var findNftsByMintList = require('./findNftsByMintList.js');
var TokenProgram = require('../../programs/token/TokenProgram.js');
var Operation = require('../../types/Operation.js');

const Key = 'FindNftsByOwnerOperation';
const findNftsByOwnerOperation = Operation.useOperation(Key);
const findNftsByOwnerOnChainOperationHandler = {
  handle: async (operation, metaplex) => {
    const owner = operation.input;
    const mints = await TokenProgram.TokenProgram.tokenAccounts(metaplex).selectMint().whereOwner(owner).whereAmount(1).getDataAsPublicKeys();
    const nfts = await metaplex.operations().execute(findNftsByMintList.findNftsByMintListOperation(mints));
    return nfts.filter(nft => nft !== null);
  }
};

exports.findNftsByOwnerOnChainOperationHandler = findNftsByOwnerOnChainOperationHandler;
exports.findNftsByOwnerOperation = findNftsByOwnerOperation;
//# sourceMappingURL=findNftsByOwner.js.map
