'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var NftClient = require('./NftClient.js');
var createNft = require('./createNft.js');
var findNftByMint = require('./findNftByMint.js');
var findNftsByCandyMachine = require('./findNftsByCandyMachine.js');
var findNftsByCreator = require('./findNftsByCreator.js');
var findNftsByMintList = require('./findNftsByMintList.js');
var findNftsByOwner = require('./findNftsByOwner.js');
var printNewEdition = require('./printNewEdition.js');
var planUploadMetadata = require('./planUploadMetadata.js');
var updateNft = require('./updateNft.js');
var uploadMetadata = require('./uploadMetadata.js');

const nftModule = () => ({
  install(metaplex) {
    const op = metaplex.operations();
    op.register(createNft.createNftOperation, createNft.createNftOperationHandler);
    op.register(findNftByMint.findNftByMintOperation, findNftByMint.findNftByMintOnChainOperationHandler);
    op.register(findNftsByCandyMachine.findNftsByCandyMachineOperation, findNftsByCandyMachine.findNftsByCandyMachineOnChainOperationHandler);
    op.register(findNftsByCreator.findNftsByCreatorOperation, findNftsByCreator.findNftsByCreatorOnChainOperationHandler);
    op.register(findNftsByMintList.findNftsByMintListOperation, findNftsByMintList.findNftsByMintListOnChainOperationHandler);
    op.register(findNftsByOwner.findNftsByOwnerOperation, findNftsByOwner.findNftsByOwnerOnChainOperationHandler);
    op.register(printNewEdition.printNewEditionOperation, printNewEdition.printNewEditionOperationHandler);
    op.register(planUploadMetadata.planUploadMetadataOperation, planUploadMetadata.planUploadMetadataOperationHandler);
    op.register(updateNft.updateNftOperation, updateNft.updateNftOperationHandler);
    op.register(uploadMetadata.uploadMetadataOperation, uploadMetadata.uploadMetadataOperationHandler);

    metaplex.nfts = function () {
      return new NftClient.NftClient(this);
    };
  }

});

exports.nftModule = nftModule;
//# sourceMappingURL=plugin.js.map
