'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplCandyMachine = require('@metaplex-foundation/mpl-candy-machine');
var TransactionBuilder = require('../../../utils/TransactionBuilder.js');

const initializeCandyMachineBuilder = params => {
  const {
    data,
    candyMachine,
    wallet,
    authority,
    payer,
    instructionKey = 'initializeCandyMachine'
  } = params;
  return TransactionBuilder.TransactionBuilder.make().add({
    instruction: mplCandyMachine.createInitializeCandyMachineInstruction({
      candyMachine: candyMachine.publicKey,
      wallet,
      authority,
      payer: payer.publicKey
    }, {
      data
    }),
    signers: [candyMachine, payer],
    key: instructionKey
  });
};

exports.initializeCandyMachineBuilder = initializeCandyMachineBuilder;
//# sourceMappingURL=initializeCandyMachineBuilder.js.map
