'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var buffer = require('buffer');
var BN = require('bn.js');
var mplTokenMetadata = require('@metaplex-foundation/mpl-token-metadata');
var TokenMetadataProgram = require('../TokenMetadataProgram.js');
var Pda = require('../../../types/Pda.js');
var BaseAccount = require('../../../types/BaseAccount.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var BN__default = /*#__PURE__*/_interopDefaultLegacy(BN);

class EditionMarkerAccount extends BaseAccount.BaseAccount {
  static async pda(mint, edition) {
    return Pda.Pda.find(TokenMetadataProgram.TokenMetadataProgram.publicKey, [buffer.Buffer.from('metadata', 'utf8'), TokenMetadataProgram.TokenMetadataProgram.publicKey.toBuffer(), mint.toBuffer(), buffer.Buffer.from('edition', 'utf8'), buffer.Buffer.from(edition.div(new BN__default["default"](248)).toString())]);
  }

  static from(unparsedAccount) {
    return new EditionMarkerAccount(this.parse(unparsedAccount, mplTokenMetadata.EditionMarker));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? this.from(maybe) : maybe;
  }

}

exports.EditionMarkerAccount = EditionMarkerAccount;
//# sourceMappingURL=EditionMarkerAccount.js.map
