'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplTokenMetadata = require('@metaplex-foundation/mpl-token-metadata');
var OriginalEditionAccount = require('./OriginalEditionAccount.js');
var BaseAccount = require('../../../types/BaseAccount.js');

class PrintEditionAccount extends BaseAccount.BaseAccount {
  static async pda(mint) {
    return OriginalEditionAccount.OriginalEditionAccount.pda(mint);
  }

  static recognizes(buffer) {
    return (buffer === null || buffer === void 0 ? void 0 : buffer[0]) === mplTokenMetadata.Key.EditionV1;
  }

  static from(unparsedAccount) {
    return new PrintEditionAccount(this.parse(unparsedAccount, mplTokenMetadata.Edition));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? this.from(maybe) : maybe;
  }

}

exports.PrintEditionAccount = PrintEditionAccount;
//# sourceMappingURL=PrintEditionAccount.js.map
