'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplTokenMetadata = require('@metaplex-foundation/mpl-token-metadata');
var TransactionBuilder = require('../../../utils/TransactionBuilder.js');

const createMetadataV2Builder = params => {
  const {
    data,
    isMutable = false,
    mintAuthority,
    payer,
    mint,
    metadata,
    updateAuthority,
    instructionKey = 'createMetadataV2'
  } = params;
  return TransactionBuilder.TransactionBuilder.make().add({
    instruction: mplTokenMetadata.createCreateMetadataAccountV2Instruction({
      metadata,
      mint,
      mintAuthority: mintAuthority.publicKey,
      payer: payer.publicKey,
      updateAuthority
    }, {
      createMetadataAccountArgsV2: {
        data,
        isMutable
      }
    }),
    signers: [payer, mintAuthority],
    key: instructionKey
  });
};

exports.createMetadataV2Builder = createMetadataV2Builder;
//# sourceMappingURL=createMetadataV2Builder.js.map
