'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var nacl = require('tweetnacl');
var Driver = require('./Driver.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var nacl__default = /*#__PURE__*/_interopDefaultLegacy(nacl);

class IdentityDriver extends Driver.Driver {
  async verifyMessage(message, signature) {
    return nacl__default["default"].sign.detached.verify(message, signature, this.publicKey.toBytes());
  }

  equals(that) {
    if ('publicKey' in that) {
      that = that.publicKey;
    }

    return this.publicKey.equals(that);
  }

}

exports.IdentityDriver = IdentityDriver;
//# sourceMappingURL=IdentityDriver.js.map
