'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var BundlrStorageDriver = require('./BundlrStorageDriver.js');
var planUploadMetadata = require('../nftModule/planUploadMetadata.js');
var planUploadMetadataUsingBundlrOperationHandler = require('./planUploadMetadataUsingBundlrOperationHandler.js');

const bundlrStorage = (options = {}) => ({
  install(metaplex) {
    metaplex.setStorageDriver(new BundlrStorageDriver.BundlrStorageDriver(metaplex, options));
    metaplex.operations().register(planUploadMetadata.planUploadMetadataOperation, planUploadMetadataUsingBundlrOperationHandler.planUploadMetadataUsingBundlrOperationHandler);
  }

});

exports.bundlrStorage = bundlrStorage;
//# sourceMappingURL=plugin.js.map
