'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var WalletAdapterIdentityDriver = require('./WalletAdapterIdentityDriver.js');
var GuestIdentityDriver = require('../guestIdentity/GuestIdentityDriver.js');

const walletAdapterIdentity = walletAdapter => ({
  install(metaplex) {
    metaplex.setIdentityDriver(new WalletAdapterIdentityDriver.WalletAdapterIdentityDriver(metaplex, walletAdapter));
  }

});
const walletOrGuestIdentity = walletAdapter => ({
  install(metaplex) {
    const identity = walletAdapter ? new WalletAdapterIdentityDriver.WalletAdapterIdentityDriver(metaplex, walletAdapter) : new GuestIdentityDriver.GuestIdentityDriver(metaplex);
    metaplex.setIdentityDriver(identity);
  }

});

exports.walletAdapterIdentity = walletAdapterIdentity;
exports.walletOrGuestIdentity = walletOrGuestIdentity;
//# sourceMappingURL=plugin.js.map
