'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplTokenMetadata = require('@metaplex-foundation/mpl-token-metadata');
var TransactionBuilder = require('../../../utils/TransactionBuilder.js');

const createMasterEditionV3Builder = params => {
  const {
    maxSupply = null,
    payer,
    mintAuthority,
    updateAuthority,
    mint,
    metadata,
    masterEdition,
    instructionKey = 'createMasterEditionV3'
  } = params;
  return TransactionBuilder.TransactionBuilder.make().add({
    instruction: mplTokenMetadata.createCreateMasterEditionV3Instruction({
      edition: masterEdition,
      mint,
      updateAuthority: updateAuthority.publicKey,
      mintAuthority: mintAuthority.publicKey,
      payer: payer.publicKey,
      metadata
    }, {
      createMasterEditionArgs: {
        maxSupply
      }
    }),
    signers: [payer, mintAuthority, updateAuthority],
    key: instructionKey
  });
};

exports.createMasterEditionV3Builder = createMasterEditionV3Builder;
//# sourceMappingURL=createMasterEditionV3Builder.js.map
