'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplTokenMetadata = require('@metaplex-foundation/mpl-token-metadata');
var TransactionBuilder = require('../../../utils/TransactionBuilder.js');

const updateMetadataV2Builder = params => {
  const {
    data,
    newUpdateAuthority,
    primarySaleHappened,
    isMutable,
    metadata,
    updateAuthority,
    instructionKey = 'updateMetadatav2'
  } = params;
  return TransactionBuilder.TransactionBuilder.make().add({
    instruction: mplTokenMetadata.createUpdateMetadataAccountV2Instruction({
      metadata,
      updateAuthority: updateAuthority.publicKey
    }, {
      updateMetadataAccountArgsV2: {
        data,
        updateAuthority: newUpdateAuthority,
        primarySaleHappened,
        isMutable
      }
    }),
    signers: [updateAuthority],
    key: instructionKey
  });
};

exports.updateMetadataV2Builder = updateMetadataV2Builder;
//# sourceMappingURL=updateMetadataV2Builder.js.map
