'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var web3_js = require('@solana/web3.js');

class Pda extends web3_js.PublicKey {
  /** The bump used to generate the PDA. */
  constructor(value, bump) {
    super(value);
    this.bump = bump;
  }

  static async find(programId, seeds) {
    return this.fromPromise(web3_js.PublicKey.findProgramAddress(seeds, programId));
  }

  static async fromPromise(promise) {
    const [publicKey, bump] = await promise;
    return new Pda(publicKey, bump);
  }

}

exports.Pda = Pda;
//# sourceMappingURL=Pda.js.map
