'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fetch = require('cross-fetch');
var Driver = require('./Driver.js');
var MetaplexFile = require('./MetaplexFile.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var fetch__default = /*#__PURE__*/_interopDefaultLegacy(fetch);

class StorageDriver extends Driver.Driver {
  async uploadAll(files) {
    const promises = files.map(file => this.upload(file));
    return Promise.all(promises);
  }

  async uploadJson(json) {
    return this.upload(MetaplexFile.MetaplexFile.fromJson(json));
  }

  async download(uri, options) {
    const response = await fetch__default["default"](uri, options);
    const buffer = await response.arrayBuffer();
    return new MetaplexFile.MetaplexFile(buffer, uri);
  }

  async downloadJson(uri, options) {
    const response = await fetch__default["default"](uri, options);
    return await response.json();
  }

}

exports.StorageDriver = StorageDriver;
//# sourceMappingURL=StorageDriver.js.map
