import { BundlrStorageDriver } from './BundlrStorageDriver.js';
import { planUploadMetadataOperation } from '../nftModule/planUploadMetadata.js';
import { planUploadMetadataUsingBundlrOperationHandler } from './planUploadMetadataUsingBundlrOperationHandler.js';

const bundlrStorage = (options = {}) => ({
  install(metaplex) {
    metaplex.setStorageDriver(new BundlrStorageDriver(metaplex, options));
    metaplex.operations().register(planUploadMetadataOperation, planUploadMetadataUsingBundlrOperationHandler);
  }

});

export { bundlrStorage };
//# sourceMappingURL=plugin.js.map
