import { createInitializeCandyMachineInstruction } from '@metaplex-foundation/mpl-candy-machine';
import { TransactionBuilder } from '../../../utils/TransactionBuilder.js';

const initializeCandyMachineBuilder = params => {
  const {
    data,
    candyMachine,
    wallet,
    authority,
    payer,
    instructionKey = 'initializeCandyMachine'
  } = params;
  return TransactionBuilder.make().add({
    instruction: createInitializeCandyMachineInstruction({
      candyMachine: candyMachine.publicKey,
      wallet,
      authority,
      payer: payer.publicKey
    }, {
      data
    }),
    signers: [candyMachine, payer],
    key: instructionKey
  });
};

export { initializeCandyMachineBuilder };
//# sourceMappingURL=initializeCandyMachineBuilder.js.map
