import { AuthorityType } from '@solana/spl-token';
import { setAuthorityBuilder } from './setAuthorityBuilder.js';
import { TransactionBuilder } from '../../../utils/TransactionBuilder.js';

const disableMintingBuilder = params => {
  const {
    mint,
    mintAuthority,
    multiSigners,
    tokenProgram,
    instructionKey = 'disableMinting'
  } = params;
  return TransactionBuilder.make().add(setAuthorityBuilder({
    mint,
    currentAuthority: mintAuthority,
    authorityType: AuthorityType.MintTokens,
    newAuthority: null,
    multiSigners,
    tokenProgram,
    instructionKey
  }));
};

export { disableMintingBuilder };
//# sourceMappingURL=disableMintingBuilder.js.map
