import { createMintNewEditionFromMasterEditionViaTokenInstruction } from '@metaplex-foundation/mpl-token-metadata';
import { TransactionBuilder } from '../../../utils/TransactionBuilder.js';

const mintNewEditionFromMasterEditionViaTokenBuilder = params => {
  const {
    edition,
    newMetadata,
    newEdition,
    masterEdition,
    newMint,
    editionMarkPda,
    newMintAuthority,
    payer,
    tokenAccountOwner,
    tokenAccount,
    newMetadataUpdateAuthority,
    metadata,
    instructionKey = 'mintNewEditionFromMasterEditionViaToken'
  } = params;
  return TransactionBuilder.make().add({
    instruction: createMintNewEditionFromMasterEditionViaTokenInstruction({
      newMetadata,
      newEdition,
      masterEdition,
      newMint: newMint.publicKey,
      editionMarkPda,
      newMintAuthority: newMintAuthority.publicKey,
      payer: payer.publicKey,
      tokenAccountOwner: tokenAccountOwner.publicKey,
      tokenAccount,
      newMetadataUpdateAuthority,
      metadata
    }, {
      mintNewEditionFromMasterEditionViaTokenArgs: {
        edition
      }
    }),
    signers: [newMint, newMintAuthority, payer, tokenAccountOwner],
    key: instructionKey
  });
};

export { mintNewEditionFromMasterEditionViaTokenBuilder };
//# sourceMappingURL=mintNewEditionFromMasterEditionViaTokenBuilder.js.map
