import nacl from 'tweetnacl';
import { Driver } from './Driver.js';

class IdentityDriver extends Driver {
  async verifyMessage(message, signature) {
    return nacl.sign.detached.verify(message, signature, this.publicKey.toBytes());
  }

  equals(that) {
    if ('publicKey' in that) {
      that = that.publicKey;
    }

    return this.publicKey.equals(that);
  }

}

export { IdentityDriver };
//# sourceMappingURL=IdentityDriver.js.map
