import { Driver } from './Driver.js';
import { MissingGpaBuilderError } from '../errors/SdkError.js';

class ProgramDriver extends Driver {
  getGpaBuilder(nameOrAddress) {
    const program = this.get(nameOrAddress);

    if (!program.gpaResolver) {
      throw new MissingGpaBuilderError(program);
    }

    return program.gpaResolver(this.metaplex);
  }

}

export { ProgramDriver };
//# sourceMappingURL=ProgramDriver.js.map
