import { NftClient } from './NftClient.js';
import { createNftOperation, createNftOperationHandler } from './createNft.js';
import { findNftByMintOperation, findNftByMintOnChainOperationHandler } from './findNftByMint.js';
import { findNftsByCandyMachineOperation, findNftsByCandyMachineOnChainOperationHandler } from './findNftsByCandyMachine.js';
import { findNftsByCreatorOperation, findNftsByCreatorOnChainOperationHandler } from './findNftsByCreator.js';
import { findNftsByMintListOperation, findNftsByMintListOnChainOperationHandler } from './findNftsByMintList.js';
import { findNftsByOwnerOperation, findNftsByOwnerOnChainOperationHandler } from './findNftsByOwner.js';
import { printNewEditionOperation, printNewEditionOperationHandler } from './printNewEdition.js';
import { planUploadMetadataOperation, planUploadMetadataOperationHandler } from './planUploadMetadata.js';
import { updateNftOperation, updateNftOperationHandler } from './updateNft.js';
import { uploadMetadataOperation, uploadMetadataOperationHandler } from './uploadMetadata.js';

const nftModule = () => ({
  install(metaplex) {
    const op = metaplex.operations();
    op.register(createNftOperation, createNftOperationHandler);
    op.register(findNftByMintOperation, findNftByMintOnChainOperationHandler);
    op.register(findNftsByCandyMachineOperation, findNftsByCandyMachineOnChainOperationHandler);
    op.register(findNftsByCreatorOperation, findNftsByCreatorOnChainOperationHandler);
    op.register(findNftsByMintListOperation, findNftsByMintListOnChainOperationHandler);
    op.register(findNftsByOwnerOperation, findNftsByOwnerOnChainOperationHandler);
    op.register(printNewEditionOperation, printNewEditionOperationHandler);
    op.register(planUploadMetadataOperation, planUploadMetadataOperationHandler);
    op.register(updateNftOperation, updateNftOperationHandler);
    op.register(uploadMetadataOperation, uploadMetadataOperationHandler);

    metaplex.nfts = function () {
      return new NftClient(this);
    };
  }

});

export { nftModule };
//# sourceMappingURL=plugin.js.map
