import { CandyMachine } from '@metaplex-foundation/mpl-candy-machine';
import { getSpaceForCandy } from './candyMachineSpace.js';
import { BaseAccount } from '../../../types/BaseAccount.js';

class CandyMachineAccount extends BaseAccount {
  get size() {
    return getSpaceForCandy(this.data.data);
  }

  static from(unparsedAccount) {
    return new CandyMachineAccount(CandyMachineAccount.parse(unparsedAccount, CandyMachine));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? CandyMachineAccount.from(maybe) : maybe;
  }

}

export { CandyMachineAccount };
//# sourceMappingURL=CandyMachineAccount.js.map
