import { Key, Edition } from '@metaplex-foundation/mpl-token-metadata';
import { OriginalEditionAccount } from './OriginalEditionAccount.js';
import { BaseAccount } from '../../../types/BaseAccount.js';

class PrintEditionAccount extends BaseAccount {
  static async pda(mint) {
    return OriginalEditionAccount.pda(mint);
  }

  static recognizes(buffer) {
    return (buffer === null || buffer === void 0 ? void 0 : buffer[0]) === Key.EditionV1;
  }

  static from(unparsedAccount) {
    return new PrintEditionAccount(this.parse(unparsedAccount, Edition));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? this.from(maybe) : maybe;
  }

}

export { PrintEditionAccount };
//# sourceMappingURL=PrintEditionAccount.js.map
