import { createUpdateMetadataAccountV2Instruction } from '@metaplex-foundation/mpl-token-metadata';
import { TransactionBuilder } from '../../../utils/TransactionBuilder.js';

const updateMetadataV2Builder = params => {
  const {
    data,
    newUpdateAuthority,
    primarySaleHappened,
    isMutable,
    metadata,
    updateAuthority,
    instructionKey = 'updateMetadatav2'
  } = params;
  return TransactionBuilder.make().add({
    instruction: createUpdateMetadataAccountV2Instruction({
      metadata,
      updateAuthority: updateAuthority.publicKey
    }, {
      updateMetadataAccountArgsV2: {
        data,
        updateAuthority: newUpdateAuthority,
        primarySaleHappened,
        isMutable
      }
    }),
    signers: [updateAuthority],
    key: instructionKey
  });
};

export { updateMetadataV2Builder };
//# sourceMappingURL=updateMetadataV2Builder.js.map
