import { PublicKey } from '@solana/web3.js';

class Pda extends PublicKey {
  /** The bump used to generate the PDA. */
  constructor(value, bump) {
    super(value);
    this.bump = bump;
  }

  static async find(programId, seeds) {
    return this.fromPromise(PublicKey.findProgramAddress(seeds, programId));
  }

  static async fromPromise(promise) {
    const [publicKey, bump] = await promise;
    return new Pda(publicKey, bump);
  }

}

export { Pda };
//# sourceMappingURL=Pda.js.map
