import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { ModuleClient, Signer } from "../../types";
import { CandyMachineConfigWithoutStorage } from './config';
import { CreateCandyMachineInput, CreateCandyMachineOutput } from './createCandyMachine';
import { CandyMachine } from './CandyMachine';
export declare type CandyMachineInitFromConfigOpts = {
    candyMachineSigner?: Signer;
    authorityAddress?: PublicKey;
    confirmOptions?: ConfirmOptions;
};
export declare class CandyMachineClient extends ModuleClient {
    findCandyMachineByAddress(address: PublicKey): Promise<CandyMachine | null>;
    findCandyMachinesByWallet(wallet: PublicKey): Promise<CandyMachine[]>;
    findCandyMachinesByAuthority(authority: PublicKey): Promise<CandyMachine[]>;
    createCandyMachine(input: CreateCandyMachineInput): Promise<CreateCandyMachineOutput & {
        candyMachine: CandyMachine;
    }>;
    createCandyMachineFromConfig(config: CandyMachineConfigWithoutStorage, opts: CandyMachineInitFromConfigOpts): Promise<CreateCandyMachineOutput & {
        candyMachine: CandyMachine;
    }>;
}
