import { Keypair, PublicKey, Transaction } from '@solana/web3.js';
import { Metaplex } from "../../Metaplex";
import { IdentityDriver, KeypairSigner } from "../../types";
export declare class KeypairIdentityDriver extends IdentityDriver implements KeypairSigner {
    readonly keypair: Keypair;
    readonly publicKey: PublicKey;
    readonly secretKey: Uint8Array;
    constructor(metaplex: Metaplex, keypair: Keypair);
    signMessage(message: Uint8Array): Promise<Uint8Array>;
    signTransaction(transaction: Transaction): Promise<Transaction>;
    signAllTransactions(transactions: Transaction[]): Promise<Transaction[]>;
}
