import BN from 'bn.js';
import { Metaplex } from "../../Metaplex";
import { MetaplexFile, StorageDriver } from "../../types";
import { SolAmount } from "../../utils";
export interface MockStorageOptions {
    baseUrl?: string;
    costPerByte?: BN | number;
}
export declare class MockStorageDriver extends StorageDriver {
    private cache;
    readonly baseUrl: string;
    readonly costPerByte: BN;
    constructor(metaplex: Metaplex, options?: MockStorageOptions);
    getPrice(...files: MetaplexFile[]): Promise<SolAmount>;
    upload(file: MetaplexFile): Promise<string>;
    download(uri: string): Promise<MetaplexFile>;
    downloadJson<T extends object>(uri: string): Promise<T>;
}
