/// <reference types="node" />
import { PublicKey } from '@solana/web3.js';
import { Buffer } from 'buffer';
import { MasterEditionV1, MasterEditionV2, Edition } from '@metaplex-foundation/mpl-token-metadata';
import { BaseAccount, Pda, UnparsedAccount, UnparsedMaybeAccount } from "../../../types";
export declare class OriginalOrPrintEditionAccount extends BaseAccount<MasterEditionV1 | MasterEditionV2 | Edition> {
    static pda(mint: PublicKey): Promise<Pda>;
    static recognizes(buffer: Buffer): boolean;
    static from(unparsedAccount: UnparsedAccount): OriginalOrPrintEditionAccount;
    static fromMaybe(maybe: UnparsedMaybeAccount): {
        publicKey: PublicKey;
        exists: false;
    } | OriginalOrPrintEditionAccount;
    isOriginal(): this is BaseAccount<MasterEditionV1 | MasterEditionV2>;
    isPrint(): this is BaseAccount<Edition>;
}
