import { PublicKey, Transaction } from '@solana/web3.js';
import { Driver } from './Driver';
import { IdentitySigner, Signer } from "./";
export declare abstract class IdentityDriver extends Driver implements IdentitySigner {
    abstract publicKey: PublicKey;
    abstract signMessage(message: Uint8Array): Promise<Uint8Array>;
    abstract signTransaction(transaction: Transaction): Promise<Transaction>;
    abstract signAllTransactions(transactions: Transaction[]): Promise<Transaction[]>;
    verifyMessage(message: Uint8Array, signature: Uint8Array): Promise<boolean>;
    equals(that: Signer | PublicKey): boolean;
}
