import { PublicKey } from '@solana/web3.js';
import { Cluster } from "./";
import { GpaBuilder } from "../utils";
import { Driver } from './Driver';
import { Program } from './Program';
export declare abstract class ProgramDriver extends Driver {
    abstract register(program: Program): void;
    abstract all(): Program[];
    abstract allForCluster(cluster: Cluster): Program[];
    abstract allForCurrentCluster(): Program[];
    abstract get(nameOrAddress: string | PublicKey): Program;
    getGpaBuilder<T extends GpaBuilder>(nameOrAddress: string | PublicKey): T;
}
